﻿using System.Windows;
using System.Windows.Controls;
using System.Windows.Input;
using Infragistics.Windows;
using Infragistics.Windows.DataPresenter;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow() {
            InitializeComponent();
        }

        private void XamDataGrid_PreviewMouseRightButtonDown_1(object sender, MouseButtonEventArgs e) {
            XamDataGrid grid = (sender as XamDataGrid);
            DataRecordPresenter rec = Utilities.GetAncestorFromType(e.OriginalSource as DependencyObject, typeof(DataRecordPresenter), false) as DataRecordPresenter;

            if (rec != null) {
                rec.Record.IsActive = true;
                grid.ActiveDataItem = rec.Record;
                grid.ContextMenu = buildContextMenu(grid.ActiveDataItem);
                grid.ContextMenu.PlacementTarget = grid;
                grid.ContextMenu.IsOpen = true;
            }
        }

        private ContextMenu buildContextMenu(object itemFromGrid) {
            var x = new ContextMenu();

            if (itemFromGrid != null) {
                x.Items.Add(new MenuItem() { Header = "open" });
                x.Items.Add(new MenuItem() { Header = "close" });
                x.Items.Add(new MenuItem() { Header = "run test" });
            } else {
                x.Items.Add(new MenuItem() { Header = "item was null" });
            }

            return x;
        }
    }
}
